Subject: RE: bug#16115: 24.3.50; doc string of `display-buffer-in-side-window' - there is no SIDE arg

From: Drew Adams <[email-masked]>
Date: Thu, 12 Dec 2013 11:50:42 -0800 (PST)

>  >> `display-buffer-below-selected' or something similar might be the
>  >> answer.  Side windows serve a completely different purpose.
>  >
>  > Sorry, I don't understand.  The requester wanted the buffer to pop up on
>  > the right, not below.  And AFAICT the code I proposed does that.  Can
>  > you elaborate?
> 
> If it makes a "side window", the effect is that the new window will be
> permanent unless explicitly deleted.  Does the requester want that?

Dunno.  I don't even know what a "permanent" window is.  When you do
`C-x 3' is the new window permanent?

>  > What is the right way to pop to a buffer in a window to the right?  IOW,
>  > the request was to get the effect of `C-x 3' but with the chosen buffer,
>  > not the same buffer, in the new window on the right.
> 
> If the frame is wide enough, `display-buffer-below-selected' will
> display it on the right of the selected window, otherwise below.  This
> can be tuned via `split-height-/width-threshold'.

Apparently the OP would like the behavior to be similar to what `C-x 3'
does.  Is that what `display-buffer-below-selected' always does?  Perhaps
you'd like to post an answer to him directly on StackOverflow. 

Of if not, I can transfer any answer you provide here to him there.
But I would just be an uninformed middleman, as I'm no authority on
`display-buffer-below-selected' or `split-height-/width-threshold',
to put it mildly.